%global commit0 49a56d392a21ef3ff9ed848b6b98293572d14eba
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date0 20211020

Name:           vaapi-tegra-driver
Version:        0
Release:        0.6%{date0}git%{shortcommit0}%{?dist}
Summary:        Tegra VAAPI backend

License:        MIT
URL:            https://github.com/cyndis/vaapi-tegra-driver
Source0:        %{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

# This driver is only relevant on theses arches
ExclusiveArch:  %{arm} aarch64

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  libva-devel
BuildRequires:  libdrm-devel
BuildRequires:  libX11-devel


%description
The Tegra VAAPI backend implements VAAPI functionality on Tegra
systems-on-chip using multimedia units accessible through the
Host1x channel mechanism, such as VIC, NVENC and NVDEC.
    
This initial version contains support for simple image composition
operations, enough to support VAAPI's 'putsurface' test case, and
enough to provide a demonstration and testcase of VIC unit usage.
However, based on the existing code, it is easy to add support for
e.g. new image formats by following example.


%prep
%autosetup -p1 -n %{name}-%{commit0}


%build
%cmake \
 -DLIBVA_DRIVERS_PATH=$(pkgconf --variable=driverdir libva) 
 
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md
%{_libdir}/dri/tegra_drv_video.so


%changelog
* Mon Nov 15 2021 Nicolas Chauvet <kwizart@gmail.com> - 0-0.6.20211020git49a56d3
- Update snapshot

* Sat Jun 05 2021 Nicolas Chauvet <kwizart@gmail.com> - 0.0.5.20210310git3d65a94
- Update snapshot

* Fri Jan  8 2021 Nicolas Chauvet <kwizart@gmail.com> - 0-0.4.20210108git79f8801
- Update to 20210108

* Thu Dec 31 2020 Nicolas Chauvet <kwizart@gmail.com> - 0-0.3.20200516gita57310c
- Fix runtime init function

* Wed Dec 30 2020 Nicolas Chauvet <kwizart@gmail.com>
- Initial spec file
